AlignmentMethodBuilder Class

class NXOpen.GeometricUtilities.AlignmentMethodBuilder

Bases: NXOpen.TaggedObject, NXOpen.GeometricUtilities.IComponentBuilder

Represents a NXOpen.GeometricUtilities.AlignmentMethodBuilder

New in version NX5.0.0.

Properties

Property Description
AlignAxis Returns or sets the alignment axis
AlignCurve Returns the align curve
AlignType Returns or sets the alignment type
AlignVector Returns or sets the alignment vector
EndAlignFillerSurfaceOption Returns or sets the end align filler surface option
NumberOfPointsPerSection Returns the number of alignment points in each section.
NumberOfSections Returns the number of section in the alignment point block
StartAlignFillerSurfaceOption Returns or sets the start align filler surface option
Tag Returns the Tag for this object.

Methods

Method Description
AddPoint Insert a given point, and create corresponding points on other sections.
AddSection Add a section at the given index among existing sections.
ComputeDefaultPoints Calculate default alignment points on existing sections.
CreateOnPathDimBuilder Set the sections.
GetAllPoints Get all of the alignment points, returns as a single dimension array
GetPoint Gets an alignment point for a section
RemoveAllPoints Remove all alignment points.
RemovePoint Remove given point, also remove corresponding points on other sections
RemoveSection Find and delete the section
RemoveSectionAtIndex Remove section at given index
SetAlignPoints Set the Alignment Points when sections have been set up.
SetSections Set the sections.
UnloadSections Unload sections held by the builder
UpdateSectionAtIndex Update section at given index
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AlignAxis

AlignmentMethodBuilder.AlignAxis

Returns or sets the alignment axis

-------------------------------------

Getter Method

Signature AlignAxis

Returns:
Return type:NXOpen.Axis

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AlignAxis

Parameters:alignAxis (NXOpen.Axis) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

AlignCurve

AlignmentMethodBuilder.AlignCurve

Returns the align curve

-------------------------------------

Getter Method

Signature AlignCurve

Returns:
Return type:NXOpen.Section

New in version NX5.0.0.

License requirements: None.

AlignType

AlignmentMethodBuilder.AlignType

Returns or sets the alignment type

-------------------------------------

Getter Method

Signature AlignType

Returns:
Return type:NXOpen.GeometricUtilities.AlignmentMethodBuilderType

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AlignType

Parameters:alignType (NXOpen.GeometricUtilities.AlignmentMethodBuilderType) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

AlignVector

AlignmentMethodBuilder.AlignVector

Returns or sets the alignment vector

-------------------------------------

Getter Method

Signature AlignVector

Returns:
Return type:NXOpen.Direction

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AlignVector

Parameters:alignVector (NXOpen.Direction) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

EndAlignFillerSurfaceOption

AlignmentMethodBuilder.EndAlignFillerSurfaceOption

Returns or sets the end align filler surface option

-------------------------------------

Getter Method

Signature EndAlignFillerSurfaceOption

Returns:
Return type:NXOpen.GeometricUtilities.AlignmentMethodBuilderAlignFillerSurfaceType

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature EndAlignFillerSurfaceOption

Parameters:fillerSurfaceType (NXOpen.GeometricUtilities.AlignmentMethodBuilderAlignFillerSurfaceType) –

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

NumberOfPointsPerSection

AlignmentMethodBuilder.NumberOfPointsPerSection

Returns the number of alignment points in each section.

All the sections always have same number of alignment points

-------------------------------------

Getter Method

Signature NumberOfPointsPerSection

Returns:Number of alignment points in each section
Return type:int

New in version NX5.0.1.

License requirements: None.

NumberOfSections

AlignmentMethodBuilder.NumberOfSections

Returns the number of section in the alignment point block

-------------------------------------

Getter Method

Signature NumberOfSections

Returns:Number of sections
Return type:int

New in version NX5.0.1.

License requirements: None.

StartAlignFillerSurfaceOption

AlignmentMethodBuilder.StartAlignFillerSurfaceOption

Returns or sets the start align filler surface option

-------------------------------------

Getter Method

Signature StartAlignFillerSurfaceOption

Returns:
Return type:NXOpen.GeometricUtilities.AlignmentMethodBuilderAlignFillerSurfaceType

New in version NX8.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature StartAlignFillerSurfaceOption

Parameters:fillerSurfaceType (NXOpen.GeometricUtilities.AlignmentMethodBuilderAlignFillerSurfaceType) –

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR studio_free_form (“STUDIO FREE FORM”)

Method Detail

AddPoint

AlignmentMethodBuilder.AddPoint

Insert a given point, and create corresponding points on other sections.

The points on other sections are computed based on existing alignment points

Signature AddPoint(alignPoint)

Parameters:alignPoint (NXOpen.GeometricUtilities.OnPathDimensionBuilder) – Pt to insert
Returns:Index of the newly added point on each section
Return type:int

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

AddSection

AlignmentMethodBuilder.AddSection

Add a section at the given index among existing sections.

Computes points for other sections

Signature AddSection(sectionIndex, sec)

Parameters:
  • sectionIndex (int) – Where to insert. New section will have this index
  • sec (NXOpen.Section) – The New section

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

ComputeDefaultPoints

AlignmentMethodBuilder.ComputeDefaultPoints

Calculate default alignment points on existing sections.

Pre-existing alignment points destroyed

Signature ComputeDefaultPoints()

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateOnPathDimBuilder

AlignmentMethodBuilder.CreateOnPathDimBuilder

Set the sections.

Does not compute default alignment

Signature CreateOnPathDimBuilder(sec, pnt)

Parameters:
Returns:

The generated onPathDim

Return type:

NXOpen.GeometricUtilities.OnPathDimensionBuilder

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetAllPoints

AlignmentMethodBuilder.GetAllPoints

Get all of the alignment points, returns as a single dimension array

Signature GetAllPoints()

Returns:a tuple
Return type:A tuple consisting of (alignPoints, numSection). alignPoints is a list of NXOpen.GeometricUtilities.OnPathDimensionBuilder. Gets all the points, numPoints is total number of points, not points per section numSection is a int. Number of sections returned

New in version NX5.0.0.

License requirements: None.

GetPoint

AlignmentMethodBuilder.GetPoint

Gets an alignment point for a section

Signature GetPoint(sectionIndex, pointIndex)

Parameters:
  • sectionIndex (int) – Section on which to query the alignment point
  • pointIndex (int) – Alignment point index
Returns:

Return type:

NXOpen.GeometricUtilities.OnPathDimensionBuilder

New in version NX5.0.1.

License requirements: None.

RemoveAllPoints

AlignmentMethodBuilder.RemoveAllPoints

Remove all alignment points.

Keeps the sections

Signature RemoveAllPoints()

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemovePoint

AlignmentMethodBuilder.RemovePoint

Remove given point, also remove corresponding points on other sections

Signature RemovePoint(alignPoint)

Parameters:alignPoint (NXOpen.GeometricUtilities.OnPathDimensionBuilder) – Pt do delete

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveSection

AlignmentMethodBuilder.RemoveSection

Find and delete the section

Signature RemoveSection(sec)

Parameters:sec (NXOpen.Section) – Existing section within the Alignment

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveSectionAtIndex

AlignmentMethodBuilder.RemoveSectionAtIndex

Remove section at given index

Signature RemoveSectionAtIndex(secIndex)

Parameters:secIndex (int) – The index of the section to remove

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetAlignPoints

AlignmentMethodBuilder.SetAlignPoints

Set the Alignment Points when sections have been set up.

The incoming points are organized section by section. The points parent section match the pre-existing sections held by this object

Signature SetAlignPoints(alignPoints)

Parameters:alignPoints (list of NXOpen.GeometricUtilities.OnPathDimensionBuilder) – Sets the points on the section, numPoints is total number of points for all sections

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetSections

AlignmentMethodBuilder.SetSections

Set the sections.

Does not compute default alignment

Signature SetSections(sections)

Parameters:sections (list of NXOpen.Section) – Array of sections

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

UnloadSections

AlignmentMethodBuilder.UnloadSections

Unload sections held by the builder

Signature UnloadSections()

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

UpdateSectionAtIndex

AlignmentMethodBuilder.UpdateSectionAtIndex

Update section at given index

Signature UpdateSectionAtIndex(secIndex)

Parameters:secIndex (int) – The index of the section to remove

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Validate

AlignmentMethodBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.